RubyGems Navigation menu

rubocop 0.43.0

Automatic Ruby code style checking tool. Aims to enforce the community-driven Ruby Style Guide.

Versions:

  1. 1.29.1 - May 12, 2022 (528 KB)
  2. 1.29.0 - May 06, 2022 (528 KB)
  3. 1.28.2 - April 25, 2022 (525 KB)
  4. 1.28.1 - April 21, 2022 (525 KB)
  5. 1.28.0 - April 21, 2022 (525 KB)
  6. 0.43.0 - September 19, 2016 (265 KB)
Show all versions (206 total)

Runtime Dependencies (5):

  • parser < 3.0, >= 2.3.1.1
  • powerpack ~> 0.1
  • rainbow < 3.0, >= 1.99.1
  • ruby-progressbar ~> 1.7
  • unicode-display_width >= 1.0.1, ~> 1.0
  • Development Dependencies (1):

  • bundler ~> 1.3
  • Owners:

    Authors:

    • Bozhidar Batsov, Jonas Arvidsson, Yuji Nakayama

    SHA 256 checksum:

    125e352d5ad65cae73f33572fde0f4793ca8ef7823263935e93ff0c2cd265764

    Total downloads 229,291,271

    For this version 915,837

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 2.0.0

    Requires MFA accounts: true

    Links: